GCLI-LABELS(1)

NAME
gcli labels - Manage ticket labels in git forges

SYNOPSIS
gcli [-o owner -r repo]
gcli create [-o owner -r repo] -d description -n name -c colour
gcli delete [-o owner -r repo] name or id

DESCRIPTION
Use gcli to list, create, edit or delete labels for Pull Requests/Merge Requests and issues in repositories in various git forges such as GitHub, GitLab and Gitea. Without any action specified, gcli will list all defined labels in the given or autodetected repository.

OPTIONS

-o, --owner owner
    Work in the repository of the given owner. This option can only be used in combination with -r.

-r, --repo repo
    Work in the given repository. This option can only be used in combination with -o.

SUBCOMMANDS

create
    Create a new label in the given or autodetected repository.

    The following flags must be specified:

    -n, --name name
        Set the short name of the label to the given name.

    -d, --description description
        Set the description of the label to the given text. Note that on GitHub this field may only consist of up to 150 characters.

    -c, --colour code
        Set the colour of the label to the given code. code is expected to be a 6 digit hexadecimal RGB colour code.

delete
    Delete the specified label in the given or autodetected repository.

    There are no flags for this subcommand.

EXAMPLES
Print a list of all labels in the current project:

    $ gcli labels

Create a new label called ‘bug’ with a description ‘Something is not working as expected’ and give it a red colour:

    $ gcli labels create \
    		--name bug \
    		--description "Something is not working as expected" \
    		--colour FF0000

Delete the label ‘foobar’ in herrhotzenplotz/gcli and use the configured account ‘gitlab’:

    $ gcli -a gitlab labels delete -o herrhotzenplotz -r gcli foobar

SEE ALSO
git(1), gcli(1)

AUTHORS
Nico Sonack aka. herrhotzenplotz <nsonack@herrhotzenplotz.de> and contributors.

BUGS
The delete subcommand should ask for confirmation and have a flag to override this behaviour.

Please report bugs via E-Mail to ~herrhotzenplotz/gcli-discuss@lists.sr.ht.

Alternatively you can report them on any of the forges linked at https://herrhotzenplotz.de/gcli. However, the preferred and quickest method is to use the mailing list.